import React from "react";
import { mount } from "enzyme";
import SimpleLegend from "./SimpleLegend";
describe("SimpleLegend", function () {
  it("should render a legend when provided data", function () {
    var testLegendData = [{
      name: "a"
    }, {
      name: "b"
    }, {
      name: "c"
    }];
    var wrapper = mount(React.createElement(SimpleLegend, {
      legendData: testLegendData
    }));
    expect(wrapper.find("div")).to.have.length(1);
  });
});